create procedure sistema.sp_cambiarEstadoUsuario
@numId int,
@numNuevoEstado int,
@dbResponse varchar(300) output
as
begin
	set nocount on;
	begin tran cambioUsuario;
	begin try
		if @numNuevoEstado = 0
			begin
				update sistema.datos_usuarios set bloqueado = @numNuevoEstado,fechaDesbloqueo = GETDATE() where id = @numId;
			end
		else
			begin
				update sistema.datos_usuarios set bloqueado = @numNuevoEstado,fechaBloqueo = GETDATE() where id = @numId;
			end

		set @dbResponse = 'success';
		commit tran cambioUsuario;
	end try
	begin catch
		SET @dbResponse = 'Ocurrió el siguiente error: '+ERROR_MESSAGE()+', en la línea '+ CONVERT ( NVARCHAR ( 255 ), ERROR_LINE( ) );
		rollback tran cambioUsuario;
	end catch
end